1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Play ISOs on 2.60

Discussion in 'Sony PSP - Mod and firmware discussion' started by great89, Jan 13, 2007.

  1. great89

    great89 Member

    Joined:
    Jan 13, 2007
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    11
    I have a psp with a version of 2.60. How do I play the games i downloaded from torrents that are ISOs on the psp? Do I have to downgrade my version to 1.5 or is there another way of playing the games without changing my version?
     
  2. imadudeok

    imadudeok Regular member

    Joined:
    Jan 12, 2007
    Messages:
    153
    Likes Received:
    0
    Trophy Points:
    26
    yea you need to downgrade to 1.5
     
  3. great89

    great89 Member

    Joined:
    Jan 13, 2007
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    11
    But how would I downgrade it to 1.5 since I have a Ta-082 which can brick your psp? Can I use Devhook to help with this?
     
  4. great89

    great89 Member

    Joined:
    Jan 13, 2007
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    11
    can anyone respond please..... thank you
     
  5. smlvfx

    smlvfx Regular member

    Joined:
    Dec 9, 2006
    Messages:
    1,358
    Likes Received:
    0
    Trophy Points:
    46
    Last edited: Jan 14, 2007
  6. great89

    great89 Member

    Joined:
    Jan 13, 2007
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    11
    There was a UMD Emulator for FW2.60 v0.03 released and it said we can use ISOs on 2.60. Will this actually work and it says we have to get a GTA Liberty Stories (unpatched) UMD to utilize this loader. Where do you get that?

    http://forums.maxconsole.net/showthread.php?t=26516
     

Share This Page